package com.zhgd.xmgl.modules.basicdata.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhgd.jeecg.common.mybatis.EntityMap;
import com.zhgd.xmgl.modules.basicdata.entity.BaseMenu;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @Description: 系统菜单
 * @author： pds
 * @date：   2020-10-12
 * @version： V1.0
 */
@Mapper
public interface BaseMenuMapper extends BaseMapper<BaseMenu> {

    List<BaseMenu> selectBaseMenuList(Map<String, Object> map);

    List<BaseMenu> getRoleBaseMenuList(Map<String, Object> map);

    List<EntityMap> getProjectBaseMenuList(Map<String, Object> map);

    List<EntityMap> getProjectUserMenuList(Map<String, Object> param);

    List<EntityMap> selectHeadquartersMenuList(Map<String, Object> param);

    List<EntityMap> selectComapnyUserMenuList(Map<String, Object> param);
}
